Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class RemoveNodeTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeTask
          org.jivesoftware.openfire.pubsub.cluster.RemoveNodeTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class RemoveNodeTask

extends NodeTask

Removes a newly deleted node from memory across the cluster.

Author:
  Tom Evans
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`nodeId, serviceId`

Constructor Summary
`RemoveNodeTask()`
`RemoveNodeTask(Node node)`

Method Summary
`void` | `run()`

Methods inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`getNode, getNodeId, getResult, getService, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveNodeTask

    public RemoveNodeTask()

### RemoveNodeTask

    public RemoveNodeTask(Node node)

Method Detail

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.